#include "malloc.h"

extern xdata struct settings_struct setting;
extern volatile xdata unsigned char playing;

extern idata unsigned char ibuf[4];

typedef enum {
   TIMER_LCD_UPDATE = 0,
   TIMER_LCD_TIMEOUT = 1,
   TIMER_PARAM_WRITE = 2,
   TIMER_POST_PLAYING = 3,
   TIMER_DISK_SPIN = 4,
   TIMER_BACKLIGHT = 5
} timers_t;

typedef enum {
    STARTUP_MODE_PLAYING,
    STARTUP_MODE_PAUSED,
    STARTUP_MODE_COUNT
} startupmodes_t;

extern bit update_sta013_needed;
extern bit update_mode_needed;
extern bit update_playlist_state_needed;
extern bit update_rand_seed_needed;

extern unsigned long songStartFrameCount;

extern const xdata simm_id /* playlist_t */ current_file;
extern xdata simm_id /* playlist_t */ e_play_selected_file;

// extern void save_playlist_state(void);
